Get coupon by external id
using System.Net.Http.Headers;var client = new HttpClient();var request = new HttpRequestMessage{ Method = HttpMethod.Get, RequestUri = new Uri("https://api.diller.app/api/v2.0/stores/your-store-id/coupon/your-coupon-id"), Headers = { { "Authorization", "Bearer <token>" }, },};using (var response = await client.SendAsync(request)){ response.EnsureSuccessStatusCode(); var body = await response.Content.ReadAsStringAsync(); Console.WriteLine(body);}package main
import ( "fmt" "net/http" "io")
func main() {
url := "https://api.diller.app/api/v2.0/stores/your-store-id/coupon/your-coupon-id"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close() body, _ := io.ReadAll(res.Body)
fmt.Println(res) fmt.Println(string(body))
}OkHttpClient client = new OkHttpClient();
Request request = new Request.Builder() .url("https://api.diller.app/api/v2.0/stores/your-store-id/coupon/your-coupon-id") .get() .addHeader("Authorization", "Bearer <token>") .build();
Response response = client.newCall(request).execute();import axios from 'axios';
const options = { method: 'GET', url: 'https://api.diller.app/api/v2.0/stores/your-store-id/coupon/your-coupon-id', headers: {Authorization: 'Bearer <token>'}};
try { const { data } = await axios.request(options); console.log(data);} catch (error) { console.error(error);}const url = 'https://api.diller.app/api/v2.0/stores/your-store-id/coupon/your-coupon-id';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.diller.app/api/v2.0/stores/your-store-id/coupon/your-coupon-id \ --header 'Authorization: Bearer <token>'Retrieves a specific coupon by its external id. By default it only retrieves active coupons.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”The store Id
Example
your-store-idThe coupon external Id
Example
your-coupon-idQuery Parameters
Section titled “Query Parameters”When true, it also return coupons that are not currently valid.
Responses
Section titled “Responses”OK
object
object
This is the ID the cupon has in the external system / platform.
The startDate of the coupon
DEPRECATED: This property is being phased out and should no longer be used. Please use the property ‘RedemptionRules’.
A collection of rules that define where and how the coupon can be redeemed. Each rule specifies the applicable channel, products, and categories for coupon usage.
Represents a rule for coupon redemption, defining the applicable channels, products, and categories.
object
The sales channel where the coupon can be redeemed. Valid values include ‘Pos’ (Point of Sale) for in-store purchases and ‘OnlineStore’ for online purchases.
A list of product IDs that the coupon applies to. If specified, the coupon can only be used for these products.
A list of product category IDs that the coupon applies to. If specified, the coupon can only be used for products within these categories.
Defines where the coupon can be applied to. The filters are cumulativelly applied.
object
Example
[ { "valid_from": "2026-09-11T12:34:49", "valid_to": "2026-09-11T12:34:49", "type": "Standard", "discount_type": "NotDefined" }]Bad Request
object
object
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example", "errors": { "additionalProperty": [ "example" ] }}